This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 852217 - Docs/comments lacking for stickshift plugins
Docs/comments lacking for stickshift plugins
Status: CLOSED WONTFIX
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Krishna Raman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 17:44 EDT by Luke Meyer
Modified: 2015-05-14 20:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 11:48:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Meyer 2012-08-27 17:44:35 EDT
Description of problem:

Docs/comments lacking in crankcase: stickshift/controller/lib/stickshift-controller/lib/stickshift/*.rb

Also, contents are inconsistent.

  
Actual results:

No docs or comments in these files. Also, mongo_data_store.rb is an implementation, not an interface.


Expected results:

Of all the code in the product, the part that defines an interface for folks to swap in their own plugins seems like the best candidate for good documentation and comments, but neither is to be found here. Please supply both.

Also, either move mongo_data_store.rb to where it will not give the impression that it could be plugged-out, or abstract it properly.


Additional info:

mmcgrath said I should file bugs for these things :)
Comment 1 Mike McGrath 2012-10-10 15:00:01 EDT
Reassigning to Krishna

  - Bug Triage Meeting

Note You need to log in before you can comment on or make changes to this bug.